Skip to content

Support

Operations Summary

Method Endpoint Description
GET /api/support-canned-responses/ List Support Canned Responses
GET /api/support-canned-responses/{uuid}/ Retrieve
GET /api/support-issue-links/ List Support Issue Links
GET /api/support-issue-links/{uuid}/ Retrieve
GET /api/support-issue-tags/ List Support Issue Tags
GET /api/support-issue-tags/{uuid}/ Retrieve
GET /api/support-saved-filters/ List Support Saved Filters
GET /api/support-saved-filters/{uuid}/ Retrieve
GET /api/support/settings/atlassian/current_settings/ Get current Atlassian settings (masked secrets)
GET /api/support/settings/atlassian/ List Support Settings Atlassian
GET /api/support/settings/atlassian/{id}/ Retrieve
POST /api/support-canned-responses/ Create
POST /api/support-canned-responses/{uuid}/render/ Render a canned response with context variables
POST /api/support-issue-links/ Create
POST /api/support-issue-tags/ Create
POST /api/support-provider-webhook/{provider_uuid}/{backend_type}/ Webhook
POST /api/support-saved-filters/ Create
POST /api/support/settings/atlassian/ Create
POST /api/support/settings/atlassian/discover_custom_fields/ Discover available custom fields
POST /api/support/settings/atlassian/discover_priorities/ Discover available priorities
POST /api/support/settings/atlassian/discover_projects/ Discover available Service Desk projects
POST /api/support/settings/atlassian/discover_request_types/ Discover request types for a selected project
POST /api/support/settings/atlassian/preview_settings/ Generate preview of settings to be saved
POST /api/support/settings/atlassian/save_settings/ Save selected settings to constance
POST /api/support/settings/atlassian/validate_credentials/ Validate Atlassian credentials without saving them
PUT /api/support-canned-responses/{uuid}/ Update
PUT /api/support-issue-links/{uuid}/ Update
PUT /api/support-issue-tags/{uuid}/ Update
PUT /api/support-saved-filters/{uuid}/ Update
PUT /api/support/settings/atlassian/{id}/ Update
PATCH /api/support-canned-responses/{uuid}/ Partial Update
PATCH /api/support-issue-links/{uuid}/ Partial Update
PATCH /api/support-issue-tags/{uuid}/ Partial Update
PATCH /api/support-saved-filters/{uuid}/ Partial Update
PATCH /api/support/settings/atlassian/{id}/ Partial Update
DELETE /api/support-canned-responses/{uuid}/ Delete
DELETE /api/support-issue-links/{uuid}/ Delete
DELETE /api/support-issue-tags/{uuid}/ Delete
DELETE /api/support-saved-filters/{uuid}/ Delete
DELETE /api/support/settings/atlassian/{id}/ Delete

List Support Canned Responses

1
2
3
4
http \
  GET \
  https://api.example.com/api/support-canned-responses/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.support_canned_responses import support_canned_responses_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = support_canned_responses_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: support_canned_responses_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { supportCannedResponsesList } from 'waldur-js-client';

try {
  const response = await supportCannedResponsesList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
category string
is_active boolean
name string
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
url string (uri)
uuid string (uuid)
name string
text string Template text. Supports Django template syntax.
category string
is_active boolean
created string (date-time)
modified string (date-time)

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/support-canned-responses/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.support_canned_responses import support_canned_responses_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = support_canned_responses_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: support_canned_responses_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { supportCannedResponsesRetrieve } from 'waldur-js-client';

try {
  const response = await supportCannedResponsesRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type Description
url string (uri)
uuid string (uuid)
name string
text string Template text. Supports Django template syntax.
category string
is_active boolean
created string (date-time)
modified string (date-time)

1
2
3
4
http \
  GET \
  https://api.example.com/api/support-issue-links/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.support_issue_links import support_issue_links_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = support_issue_links_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: support_issue_links_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { supportIssueLinksList } from 'waldur-js-client';

try {
  const response = await supportIssueLinksList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
link_type string
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
source_uuid string (uuid)
target_uuid string (uuid)

200 -

The response body is an array of objects, where each object has the following structure:

Field Type
url string (uri)
uuid string (uuid)
source string (uuid)
source_key string
target string (uuid)
target_key string
link_type string

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/support-issue-links/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.support_issue_links import support_issue_links_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = support_issue_links_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: support_issue_links_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { supportIssueLinksRetrieve } from 'waldur-js-client';

try {
  const response = await supportIssueLinksRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type
url string (uri)
uuid string (uuid)
source string (uuid)
source_key string
target string (uuid)
target_key string
link_type string

List Support Issue Tags

1
2
3
4
http \
  GET \
  https://api.example.com/api/support-issue-tags/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.support_issue_tags import support_issue_tags_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = support_issue_tags_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: support_issue_tags_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { supportIssueTagsList } from 'waldur-js-client';

try {
  const response = await supportIssueTagsList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
name string
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
url string (uri)
uuid string (uuid)
name string
color string Hex color code, e.g. #FF0000.

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/support-issue-tags/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.support_issue_tags import support_issue_tags_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = support_issue_tags_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: support_issue_tags_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { supportIssueTagsRetrieve } from 'waldur-js-client';

try {
  const response = await supportIssueTagsRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type Description
url string (uri)
uuid string (uuid)
name string
color string Hex color code, e.g. #FF0000.

List Support Saved Filters

1
2
3
4
http \
  GET \
  https://api.example.com/api/support-saved-filters/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.support_saved_filters import support_saved_filters_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = support_saved_filters_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: support_saved_filters_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { supportSavedFiltersList } from 'waldur-js-client';

try {
  const response = await supportSavedFiltersList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
is_shared boolean
name string
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
url string (uri)
uuid string (uuid)
name string
filter_params object (free-form) Saved filter parameters as JSON.
is_shared boolean If True, visible to all staff/support users.
created string (date-time)
modified string (date-time)

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/support-saved-filters/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.support_saved_filters import support_saved_filters_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = support_saved_filters_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: support_saved_filters_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { supportSavedFiltersRetrieve } from 'waldur-js-client';

try {
  const response = await supportSavedFiltersRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type Description
url string (uri)
uuid string (uuid)
name string
filter_params object (free-form) Saved filter parameters as JSON.
is_shared boolean If True, visible to all staff/support users.
created string (date-time)
modified string (date-time)

Get current Atlassian settings (masked secrets)

Get current Atlassian settings (masked secrets).

1
2
3
4
http \
  GET \
  https://api.example.com/api/support/settings/atlassian/current_settings/ \
  Authorization:"Token YOUR_API_TOKEN"
1
2
3
4
5
6
7
8
9
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.support import support_settings_atlassian_current_settings_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = support_settings_atlassian_current_settings_retrieve.sync(client=client)

print(response)
  1. API Source: support_settings_atlassian_current_settings_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { supportSettingsAtlassianCurrentSettingsRetrieve } from 'waldur-js-client';

try {
  const response = await supportSettingsAtlassianCurrentSettingsRetrieve({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}

200 - No response body


List Support Settings Atlassian

1
2
3
4
http \
  GET \
  https://api.example.com/api/support/settings/atlassian/ \
  Authorization:"Token YOUR_API_TOKEN"
1
2
3
4
5
6
7
8
9
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.support import support_settings_atlassian_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = support_settings_atlassian_list.sync(client=client)

print(response)
  1. API Source: support_settings_atlassian_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { supportSettingsAtlassianList } from 'waldur-js-client';

try {
  const response = await supportSettingsAtlassianList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 - No response body


Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/support/settings/atlassian/123/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.support import support_settings_atlassian_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = support_settings_atlassian_retrieve.sync(
    id=123,
    client=client
)

print(response)
  1. API Source: support_settings_atlassian_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { supportSettingsAtlassianRetrieve } from 'waldur-js-client';

try {
  const response = await supportSettingsAtlassianRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "id": 123
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
id integer A unique integer value identifying this issue.

200 - No response body


Create

1
2
3
4
5
6
http \
  POST \
  https://api.example.com/api/support-canned-responses/ \
  Authorization:"Token YOUR_API_TOKEN" \
  name="my-awesome-support-canned-response" \
  text="string-value"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.canned_response_request import CannedResponseRequest # (1)
from waldur_api_client.api.support_canned_responses import support_canned_responses_create # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = CannedResponseRequest(
    name="my-awesome-support-canned-response",
    text="string-value"
)
response = support_canned_responses_create.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: CannedResponseRequest
  2. API Source: support_canned_responses_create
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
import { supportCannedResponsesCreate } from 'waldur-js-client';

try {
  const response = await supportCannedResponsesCreate({
  auth: "Token YOUR_API_TOKEN",
  body: {
    "name": "my-awesome-support-canned-response",
    "text": "string-value"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required Description
name string
text string Template text. Supports Django template syntax.
category string
is_active boolean

201 -

Field Type Description
url string (uri)
uuid string (uuid)
name string
text string Template text. Supports Django template syntax.
category string
is_active boolean
created string (date-time)
modified string (date-time)

Render a canned response with context variables

1
2
3
4
http \
  POST \
  https://api.example.com/api/support-canned-responses/a1b2c3d4-e5f6-7890-abcd-ef1234567890/render/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.canned_response_render_request import CannedResponseRenderRequest # (1)
from waldur_api_client.api.support_canned_responses import support_canned_responses_render # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = CannedResponseRenderRequest()
response = support_canned_responses_render.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: CannedResponseRenderRequest
  2. API Source: support_canned_responses_render
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { supportCannedResponsesRender } from 'waldur-js-client';

try {
  const response = await supportCannedResponsesRender({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required
context object (free-form)

200 -

Field Type
rendered_text string

Create

1
2
3
4
5
6
http \
  POST \
  https://api.example.com/api/support-issue-links/ \
  Authorization:"Token YOUR_API_TOKEN" \
  source="a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
  target="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.issue_link_request import IssueLinkRequest # (1)
from waldur_api_client.api.support_issue_links import support_issue_links_create # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = IssueLinkRequest(
    source="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    target="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
)
response = support_issue_links_create.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: IssueLinkRequest
  2. API Source: support_issue_links_create
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
import { supportIssueLinksCreate } from 'waldur-js-client';

try {
  const response = await supportIssueLinksCreate({
  auth: "Token YOUR_API_TOKEN",
  body: {
    "source": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "target": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required
source string (uuid)
target string (uuid)
link_type string

201 -

Field Type
url string (uri)
uuid string (uuid)
source string (uuid)
source_key string
target string (uuid)
target_key string
link_type string

Create

1
2
3
4
5
http \
  POST \
  https://api.example.com/api/support-issue-tags/ \
  Authorization:"Token YOUR_API_TOKEN" \
  name="my-awesome-support-issue-tag"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.issue_tag_request import IssueTagRequest # (1)
from waldur_api_client.api.support_issue_tags import support_issue_tags_create # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = IssueTagRequest(
    name="my-awesome-support-issue-tag"
)
response = support_issue_tags_create.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: IssueTagRequest
  2. API Source: support_issue_tags_create
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { supportIssueTagsCreate } from 'waldur-js-client';

try {
  const response = await supportIssueTagsCreate({
  auth: "Token YOUR_API_TOKEN",
  body: {
    "name": "my-awesome-support-issue-tag"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required Description
name string
color string Hex color code, e.g. #FF0000.

201 -

Field Type Description
url string (uri)
uuid string (uuid)
name string
color string Hex color code, e.g. #FF0000.

Webhook

1
2
3
4
5
http \
  POST \
  https://api.example.com/api/support-provider-webhook/a1b2c3d4-e5f6-7890-abcd-ef1234567890/string-value/ \
  Authorization:"Token YOUR_API_TOKEN" \
  event_type="string-value"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.webhook_payload_request import WebhookPayloadRequest # (1)
from waldur_api_client.api.support_provider_webhook import support_provider_webhook # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = WebhookPayloadRequest(
    event_type="string-value"
)
response = support_provider_webhook.sync(
    backend_type="string-value",
    provider_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: WebhookPayloadRequest
  2. API Source: support_provider_webhook
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
import { supportProviderWebhook } from 'waldur-js-client';

try {
  const response = await supportProviderWebhook({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "backend_type": "string-value",
    "provider_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "event_type": "string-value"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
backend_type string
provider_uuid string
Field Type Required
event_type string
issue_backend_id string
comment string
new_status string

200 -

Field Type
event_type string
issue_backend_id string
comment string
new_status string

Create

1
2
3
4
5
http \
  POST \
  https://api.example.com/api/support-saved-filters/ \
  Authorization:"Token YOUR_API_TOKEN" \
  name="my-awesome-support-saved-filter"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.saved_filter_request import SavedFilterRequest # (1)
from waldur_api_client.api.support_saved_filters import support_saved_filters_create # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = SavedFilterRequest(
    name="my-awesome-support-saved-filter"
)
response = support_saved_filters_create.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: SavedFilterRequest
  2. API Source: support_saved_filters_create
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { supportSavedFiltersCreate } from 'waldur-js-client';

try {
  const response = await supportSavedFiltersCreate({
  auth: "Token YOUR_API_TOKEN",
  body: {
    "name": "my-awesome-support-saved-filter"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required Description
name string
filter_params object (free-form) Saved filter parameters as JSON.
is_shared boolean If True, visible to all staff/support users.

201 -

Field Type Description
url string (uri)
uuid string (uuid)
name string
filter_params object (free-form) Saved filter parameters as JSON.
is_shared boolean If True, visible to all staff/support users.
created string (date-time)
modified string (date-time)

Create

1
2
3
4
http \
  POST \
  https://api.example.com/api/support/settings/atlassian/ \
  Authorization:"Token YOUR_API_TOKEN"
1
2
3
4
5
6
7
8
9
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.support import support_settings_atlassian_create # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = support_settings_atlassian_create.sync(client=client)

print(response)
  1. API Source: support_settings_atlassian_create
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { supportSettingsAtlassianCreate } from 'waldur-js-client';

try {
  const response = await supportSettingsAtlassianCreate({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}

201 - No response body


Discover available custom fields

Discover available custom fields.

1
2
3
4
5
6
http \
  POST \
  https://api.example.com/api/support/settings/atlassian/discover_custom_fields/ \
  Authorization:"Token YOUR_API_TOKEN" \
  api_url="https://api.example.com/api/api-url/a1b2c3d4-e5f6-7890-abcd-ef1234567890/" \
  auth_method=null
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.discover_custom_fields_request_request import DiscoverCustomFieldsRequestRequest # (1)
from waldur_api_client.api.support import support_settings_atlassian_discover_custom_fields # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = DiscoverCustomFieldsRequestRequest(
    api_url="https://api.example.com/api/api-url/a1b2c3d4-e5f6-7890-abcd-ef1234567890/",
    auth_method=null
)
response = support_settings_atlassian_discover_custom_fields.sync(
    client=client,
    body=body_data
)

for item in response:
    print(item)
  1. Model Source: DiscoverCustomFieldsRequestRequest
  2. API Source: support_settings_atlassian_discover_custom_fields
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
import { supportSettingsAtlassianDiscoverCustomFields } from 'waldur-js-client';

try {
  const response = await supportSettingsAtlassianDiscoverCustomFields({
  auth: "Token YOUR_API_TOKEN",
  body: {
    "api_url": "https://api.example.com/api/api-url/a1b2c3d4-e5f6-7890-abcd-ef1234567890/",
    "auth_method": null
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
Field Type Required Description
api_url string (uri) Atlassian API URL (e.g., https://your-domain.atlassian.net)
auth_method any Authentication method to use
email string (email)
token string
Constraints: write-only
personal_access_token string
Constraints: write-only
username string
password string
Constraints: write-only
verify_ssl boolean
Constraints: default: True
project_id string
request_type_id string Optional: Filter fields by request type

200 -

The response body is an array of objects, where each object has the following structure:

Field Type
id string
name string
clause_names array of strings
field_type string
required boolean

Discover available priorities

Discover available priorities.

1
2
3
4
5
6
http \
  POST \
  https://api.example.com/api/support/settings/atlassian/discover_priorities/ \
  Authorization:"Token YOUR_API_TOKEN" \
  api_url="https://api.example.com/api/api-url/a1b2c3d4-e5f6-7890-abcd-ef1234567890/" \
  auth_method=null
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.discover_priorities_request_request import DiscoverPrioritiesRequestRequest # (1)
from waldur_api_client.api.support import support_settings_atlassian_discover_priorities # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = DiscoverPrioritiesRequestRequest(
    api_url="https://api.example.com/api/api-url/a1b2c3d4-e5f6-7890-abcd-ef1234567890/",
    auth_method=null
)
response = support_settings_atlassian_discover_priorities.sync(
    client=client,
    body=body_data
)

for item in response:
    print(item)
  1. Model Source: DiscoverPrioritiesRequestRequest
  2. API Source: support_settings_atlassian_discover_priorities
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
import { supportSettingsAtlassianDiscoverPriorities } from 'waldur-js-client';

try {
  const response = await supportSettingsAtlassianDiscoverPriorities({
  auth: "Token YOUR_API_TOKEN",
  body: {
    "api_url": "https://api.example.com/api/api-url/a1b2c3d4-e5f6-7890-abcd-ef1234567890/",
    "auth_method": null
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
Field Type Required Description
api_url string (uri) Atlassian API URL (e.g., https://your-domain.atlassian.net)
auth_method any Authentication method to use
email string (email)
token string
Constraints: write-only
personal_access_token string
Constraints: write-only
username string
password string
Constraints: write-only
verify_ssl boolean
Constraints: default: True

200 -

The response body is an array of objects, where each object has the following structure:

Field Type
id string
name string
description string
icon_url string (uri)

Discover available Service Desk projects

Discover available Service Desk projects.

1
2
3
4
5
6
http \
  POST \
  https://api.example.com/api/support/settings/atlassian/discover_projects/ \
  Authorization:"Token YOUR_API_TOKEN" \
  api_url="https://api.example.com/api/api-url/a1b2c3d4-e5f6-7890-abcd-ef1234567890/" \
  auth_method=null
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.discover_projects_request_request import DiscoverProjectsRequestRequest # (1)
from waldur_api_client.api.support import support_settings_atlassian_discover_projects # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = DiscoverProjectsRequestRequest(
    api_url="https://api.example.com/api/api-url/a1b2c3d4-e5f6-7890-abcd-ef1234567890/",
    auth_method=null
)
response = support_settings_atlassian_discover_projects.sync(
    client=client,
    body=body_data
)

for item in response:
    print(item)
  1. Model Source: DiscoverProjectsRequestRequest
  2. API Source: support_settings_atlassian_discover_projects
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
import { supportSettingsAtlassianDiscoverProjects } from 'waldur-js-client';

try {
  const response = await supportSettingsAtlassianDiscoverProjects({
  auth: "Token YOUR_API_TOKEN",
  body: {
    "api_url": "https://api.example.com/api/api-url/a1b2c3d4-e5f6-7890-abcd-ef1234567890/",
    "auth_method": null
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
Field Type Required Description
api_url string (uri) Atlassian API URL (e.g., https://your-domain.atlassian.net)
auth_method any Authentication method to use
email string (email)
token string
Constraints: write-only
personal_access_token string
Constraints: write-only
username string
password string
Constraints: write-only
verify_ssl boolean
Constraints: default: True

200 -

The response body is an array of objects, where each object has the following structure:

Field Type
id string
key string
name string
description string

Discover request types for a selected project

Discover request types for a selected project.

1
2
3
4
5
6
7
http \
  POST \
  https://api.example.com/api/support/settings/atlassian/discover_request_types/ \
  Authorization:"Token YOUR_API_TOKEN" \
  api_url="https://api.example.com/api/api-url/a1b2c3d4-e5f6-7890-abcd-ef1234567890/" \
  auth_method=null \
  project_id="string-value"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.discover_request_types_request_request import DiscoverRequestTypesRequestRequest # (1)
from waldur_api_client.api.support import support_settings_atlassian_discover_request_types # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = DiscoverRequestTypesRequestRequest(
    api_url="https://api.example.com/api/api-url/a1b2c3d4-e5f6-7890-abcd-ef1234567890/",
    auth_method=null,
    project_id="string-value"
)
response = support_settings_atlassian_discover_request_types.sync(
    client=client,
    body=body_data
)

for item in response:
    print(item)
  1. Model Source: DiscoverRequestTypesRequestRequest
  2. API Source: support_settings_atlassian_discover_request_types
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
import { supportSettingsAtlassianDiscoverRequestTypes } from 'waldur-js-client';

try {
  const response = await supportSettingsAtlassianDiscoverRequestTypes({
  auth: "Token YOUR_API_TOKEN",
  body: {
    "api_url": "https://api.example.com/api/api-url/a1b2c3d4-e5f6-7890-abcd-ef1234567890/",
    "auth_method": null,
    "project_id": "string-value"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
Field Type Required Description
api_url string (uri) Atlassian API URL (e.g., https://your-domain.atlassian.net)
auth_method any Authentication method to use
email string (email)
token string
Constraints: write-only
personal_access_token string
Constraints: write-only
username string
password string
Constraints: write-only
verify_ssl boolean
Constraints: default: True
project_id string Service Desk project ID or key

200 -

The response body is an array of objects, where each object has the following structure:

Field Type
id string
name string
description string
issue_type_id string

Generate preview of settings to be saved

Generate preview of settings to be saved.

1
2
3
4
5
6
7
http \
  POST \
  https://api.example.com/api/support/settings/atlassian/preview_settings/ \
  Authorization:"Token YOUR_API_TOKEN" \
  api_url="https://api.example.com/api/api-url/a1b2c3d4-e5f6-7890-abcd-ef1234567890/" \
  auth_method="api_token" \
  project_id="string-value"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.atlassian_settings_preview_request import AtlassianSettingsPreviewRequest # (1)
from waldur_api_client.api.support import support_settings_atlassian_preview_settings # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = AtlassianSettingsPreviewRequest(
    api_url="https://api.example.com/api/api-url/a1b2c3d4-e5f6-7890-abcd-ef1234567890/",
    auth_method="api_token",
    project_id="string-value"
)
response = support_settings_atlassian_preview_settings.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: AtlassianSettingsPreviewRequest
  2. API Source: support_settings_atlassian_preview_settings
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
import { supportSettingsAtlassianPreviewSettings } from 'waldur-js-client';

try {
  const response = await supportSettingsAtlassianPreviewSettings({
  auth: "Token YOUR_API_TOKEN",
  body: {
    "api_url": "https://api.example.com/api/api-url/a1b2c3d4-e5f6-7890-abcd-ef1234567890/",
    "auth_method": "api_token",
    "project_id": "string-value"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required Description
api_url string (uri)
auth_method string
Enum: api_token, personal_access_token, basic
email string (email)
token string
Constraints: write-only
personal_access_token string
Constraints: write-only
username string
password string
Constraints: write-only
verify_ssl boolean
Constraints: default: True
project_id string
issue_types array of strings
support_type_mapping object (free-form) Mapping from frontend types to backend request types
reporter_field string
impact_field string
organisation_field string
project_field string
affected_resource_field string
caller_field string
template_field string
sla_field string
resolution_sla_field string
satisfaction_field string
request_feedback_field string
waldur_backend_id_field string
default_offering_issue_type string Default issue type for marketplace request-based orders
use_old_api boolean
Constraints: default: False
custom_field_mapping_enabled boolean
Constraints: default: True

200 - No response body


Save selected settings to constance

Save selected settings to constance.

1
2
3
4
5
6
7
8
http \
  POST \
  https://api.example.com/api/support/settings/atlassian/save_settings/ \
  Authorization:"Token YOUR_API_TOKEN" \
  api_url="https://api.example.com/api/api-url/a1b2c3d4-e5f6-7890-abcd-ef1234567890/" \
  auth_method="api_token" \
  project_id="string-value" \
  confirm_save=true
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.atlassian_settings_save_request import AtlassianSettingsSaveRequest # (1)
from waldur_api_client.api.support import support_settings_atlassian_save_settings # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = AtlassianSettingsSaveRequest(
    api_url="https://api.example.com/api/api-url/a1b2c3d4-e5f6-7890-abcd-ef1234567890/",
    auth_method="api_token",
    project_id="string-value",
    confirm_save=true
)
response = support_settings_atlassian_save_settings.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: AtlassianSettingsSaveRequest
  2. API Source: support_settings_atlassian_save_settings
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
import { supportSettingsAtlassianSaveSettings } from 'waldur-js-client';

try {
  const response = await supportSettingsAtlassianSaveSettings({
  auth: "Token YOUR_API_TOKEN",
  body: {
    "api_url": "https://api.example.com/api/api-url/a1b2c3d4-e5f6-7890-abcd-ef1234567890/",
    "auth_method": "api_token",
    "project_id": "string-value",
    "confirm_save": true
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required Description
api_url string (uri)
auth_method string
Enum: api_token, personal_access_token, basic
email string (email)
token string
Constraints: write-only
personal_access_token string
Constraints: write-only
username string
password string
Constraints: write-only
verify_ssl boolean
Constraints: default: True
project_id string
issue_types array of strings
support_type_mapping object (free-form) Mapping from frontend types to backend request types
reporter_field string
impact_field string
organisation_field string
project_field string
affected_resource_field string
caller_field string
template_field string
sla_field string
resolution_sla_field string
satisfaction_field string
request_feedback_field string
waldur_backend_id_field string
default_offering_issue_type string Default issue type for marketplace request-based orders
use_old_api boolean
Constraints: default: False
custom_field_mapping_enabled boolean
Constraints: default: True
confirm_save boolean Must be True to confirm saving settings

200 - No response body


Validate Atlassian credentials without saving them

Validate Atlassian credentials without saving them.

1
2
3
4
5
6
http \
  POST \
  https://api.example.com/api/support/settings/atlassian/validate_credentials/ \
  Authorization:"Token YOUR_API_TOKEN" \
  api_url="https://api.example.com/api/api-url/a1b2c3d4-e5f6-7890-abcd-ef1234567890/" \
  auth_method=null
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.atlassian_credentials_request import AtlassianCredentialsRequest # (1)
from waldur_api_client.api.support import support_settings_atlassian_validate_credentials # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = AtlassianCredentialsRequest(
    api_url="https://api.example.com/api/api-url/a1b2c3d4-e5f6-7890-abcd-ef1234567890/",
    auth_method=null
)
response = support_settings_atlassian_validate_credentials.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: AtlassianCredentialsRequest
  2. API Source: support_settings_atlassian_validate_credentials
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
import { supportSettingsAtlassianValidateCredentials } from 'waldur-js-client';

try {
  const response = await supportSettingsAtlassianValidateCredentials({
  auth: "Token YOUR_API_TOKEN",
  body: {
    "api_url": "https://api.example.com/api/api-url/a1b2c3d4-e5f6-7890-abcd-ef1234567890/",
    "auth_method": null
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required Description
api_url string (uri) Atlassian API URL (e.g., https://your-domain.atlassian.net)
auth_method any Authentication method to use
email string (email)
token string
Constraints: write-only
personal_access_token string
Constraints: write-only
username string
password string
Constraints: write-only
verify_ssl boolean
Constraints: default: True

200 - No response body


Update

1
2
3
4
5
6
http \
  PUT \
  https://api.example.com/api/support-canned-responses/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN" \
  name="my-awesome-support-canned-response" \
  text="string-value"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.canned_response_request import CannedResponseRequest # (1)
from waldur_api_client.api.support_canned_responses import support_canned_responses_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = CannedResponseRequest(
    name="my-awesome-support-canned-response",
    text="string-value"
)
response = support_canned_responses_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: CannedResponseRequest
  2. API Source: support_canned_responses_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
import { supportCannedResponsesUpdate } from 'waldur-js-client';

try {
  const response = await supportCannedResponsesUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "name": "my-awesome-support-canned-response",
    "text": "string-value"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
name string
text string Template text. Supports Django template syntax.
category string
is_active boolean

200 -

Field Type Description
url string (uri)
uuid string (uuid)
name string
text string Template text. Supports Django template syntax.
category string
is_active boolean
created string (date-time)
modified string (date-time)

Update

1
2
3
4
5
6
http \
  PUT \
  https://api.example.com/api/support-issue-links/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN" \
  source="a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
  target="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.issue_link_request import IssueLinkRequest # (1)
from waldur_api_client.api.support_issue_links import support_issue_links_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = IssueLinkRequest(
    source="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    target="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
)
response = support_issue_links_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: IssueLinkRequest
  2. API Source: support_issue_links_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
import { supportIssueLinksUpdate } from 'waldur-js-client';

try {
  const response = await supportIssueLinksUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "source": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "target": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required
source string (uuid)
target string (uuid)
link_type string

200 -

Field Type
url string (uri)
uuid string (uuid)
source string (uuid)
source_key string
target string (uuid)
target_key string
link_type string

Update

1
2
3
4
5
http \
  PUT \
  https://api.example.com/api/support-issue-tags/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN" \
  name="my-awesome-support-issue-tag"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.issue_tag_request import IssueTagRequest # (1)
from waldur_api_client.api.support_issue_tags import support_issue_tags_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = IssueTagRequest(
    name="my-awesome-support-issue-tag"
)
response = support_issue_tags_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: IssueTagRequest
  2. API Source: support_issue_tags_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
import { supportIssueTagsUpdate } from 'waldur-js-client';

try {
  const response = await supportIssueTagsUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "name": "my-awesome-support-issue-tag"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
name string
color string Hex color code, e.g. #FF0000.

200 -

Field Type Description
url string (uri)
uuid string (uuid)
name string
color string Hex color code, e.g. #FF0000.

Update

1
2
3
4
5
http \
  PUT \
  https://api.example.com/api/support-saved-filters/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN" \
  name="my-awesome-support-saved-filter"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.saved_filter_request import SavedFilterRequest # (1)
from waldur_api_client.api.support_saved_filters import support_saved_filters_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = SavedFilterRequest(
    name="my-awesome-support-saved-filter"
)
response = support_saved_filters_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: SavedFilterRequest
  2. API Source: support_saved_filters_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
import { supportSavedFiltersUpdate } from 'waldur-js-client';

try {
  const response = await supportSavedFiltersUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "name": "my-awesome-support-saved-filter"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
name string
filter_params object (free-form) Saved filter parameters as JSON.
is_shared boolean If True, visible to all staff/support users.

200 -

Field Type Description
url string (uri)
uuid string (uuid)
name string
filter_params object (free-form) Saved filter parameters as JSON.
is_shared boolean If True, visible to all staff/support users.
created string (date-time)
modified string (date-time)

Update

1
2
3
4
http \
  PUT \
  https://api.example.com/api/support/settings/atlassian/123/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.support import support_settings_atlassian_update # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = support_settings_atlassian_update.sync(
    id=123,
    client=client
)

print(response)
  1. API Source: support_settings_atlassian_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { supportSettingsAtlassianUpdate } from 'waldur-js-client';

try {
  const response = await supportSettingsAtlassianUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "id": 123
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
id integer A unique integer value identifying this issue.

200 - No response body


Partial Update

1
2
3
4
http \
  PATCH \
  https://api.example.com/api/support-canned-responses/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.patched_canned_response_request import PatchedCannedResponseRequest # (1)
from waldur_api_client.api.support_canned_responses import support_canned_responses_partial_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PatchedCannedResponseRequest()
response = support_canned_responses_partial_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PatchedCannedResponseRequest
  2. API Source: support_canned_responses_partial_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { supportCannedResponsesPartialUpdate } from 'waldur-js-client';

try {
  const response = await supportCannedResponsesPartialUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
name string
text string Template text. Supports Django template syntax.
category string
is_active boolean

200 -

Field Type Description
url string (uri)
uuid string (uuid)
name string
text string Template text. Supports Django template syntax.
category string
is_active boolean
created string (date-time)
modified string (date-time)

Partial Update

1
2
3
4
http \
  PATCH \
  https://api.example.com/api/support-issue-links/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.patched_issue_link_request import PatchedIssueLinkRequest # (1)
from waldur_api_client.api.support_issue_links import support_issue_links_partial_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PatchedIssueLinkRequest()
response = support_issue_links_partial_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PatchedIssueLinkRequest
  2. API Source: support_issue_links_partial_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { supportIssueLinksPartialUpdate } from 'waldur-js-client';

try {
  const response = await supportIssueLinksPartialUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required
source string (uuid)
target string (uuid)
link_type string

200 -

Field Type
url string (uri)
uuid string (uuid)
source string (uuid)
source_key string
target string (uuid)
target_key string
link_type string

Partial Update

1
2
3
4
http \
  PATCH \
  https://api.example.com/api/support-issue-tags/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.patched_issue_tag_request import PatchedIssueTagRequest # (1)
from waldur_api_client.api.support_issue_tags import support_issue_tags_partial_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PatchedIssueTagRequest()
response = support_issue_tags_partial_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PatchedIssueTagRequest
  2. API Source: support_issue_tags_partial_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { supportIssueTagsPartialUpdate } from 'waldur-js-client';

try {
  const response = await supportIssueTagsPartialUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
name string
color string Hex color code, e.g. #FF0000.

200 -

Field Type Description
url string (uri)
uuid string (uuid)
name string
color string Hex color code, e.g. #FF0000.

Partial Update

1
2
3
4
http \
  PATCH \
  https://api.example.com/api/support-saved-filters/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.patched_saved_filter_request import PatchedSavedFilterRequest # (1)
from waldur_api_client.api.support_saved_filters import support_saved_filters_partial_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PatchedSavedFilterRequest()
response = support_saved_filters_partial_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PatchedSavedFilterRequest
  2. API Source: support_saved_filters_partial_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { supportSavedFiltersPartialUpdate } from 'waldur-js-client';

try {
  const response = await supportSavedFiltersPartialUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
name string
filter_params object (free-form) Saved filter parameters as JSON.
is_shared boolean If True, visible to all staff/support users.

200 -

Field Type Description
url string (uri)
uuid string (uuid)
name string
filter_params object (free-form) Saved filter parameters as JSON.
is_shared boolean If True, visible to all staff/support users.
created string (date-time)
modified string (date-time)

Partial Update

1
2
3
4
http \
  PATCH \
  https://api.example.com/api/support/settings/atlassian/123/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.support import support_settings_atlassian_partial_update # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = support_settings_atlassian_partial_update.sync(
    id=123,
    client=client
)

print(response)
  1. API Source: support_settings_atlassian_partial_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { supportSettingsAtlassianPartialUpdate } from 'waldur-js-client';

try {
  const response = await supportSettingsAtlassianPartialUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "id": 123
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
id integer A unique integer value identifying this issue.

200 - No response body


Delete

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/support-canned-responses/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.support_canned_responses import support_canned_responses_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = support_canned_responses_destroy.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: support_canned_responses_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { supportCannedResponsesDestroy } from 'waldur-js-client';

try {
  const response = await supportCannedResponsesDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

204 - No response body


Delete

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/support-issue-links/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.support_issue_links import support_issue_links_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = support_issue_links_destroy.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: support_issue_links_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { supportIssueLinksDestroy } from 'waldur-js-client';

try {
  const response = await supportIssueLinksDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

204 - No response body


Delete

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/support-issue-tags/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.support_issue_tags import support_issue_tags_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = support_issue_tags_destroy.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: support_issue_tags_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { supportIssueTagsDestroy } from 'waldur-js-client';

try {
  const response = await supportIssueTagsDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

204 - No response body


Delete

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/support-saved-filters/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.support_saved_filters import support_saved_filters_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = support_saved_filters_destroy.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: support_saved_filters_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { supportSavedFiltersDestroy } from 'waldur-js-client';

try {
  const response = await supportSavedFiltersDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

204 - No response body


Delete

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/support/settings/atlassian/123/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.support import support_settings_atlassian_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = support_settings_atlassian_destroy.sync(
    id=123,
    client=client
)

print(response)
  1. API Source: support_settings_atlassian_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { supportSettingsAtlassianDestroy } from 'waldur-js-client';

try {
  const response = await supportSettingsAtlassianDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "id": 123
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
id integer A unique integer value identifying this issue.

204 - No response body